GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Enumerations | Functions
endpoint.h File Reference
`#include "src/core/iomgr/pollset.h"`
`#include "src/core/iomgr/pollset_set.h"`
`#include <grpc/support/slice.h>`
`#include <grpc/support/time.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_endpoint_vtable
struct | grpc_endpoint

## Typedefs
typedef struct grpc_endpoint | grpc_endpoint
typedef struct grpc_endpoint_vtable | grpc_endpoint_vtable
typedef enum grpc_endpoint_cb_status | grpc_endpoint_cb_status
typedef enum grpc_endpoint_write_status | grpc_endpoint_write_status
typedef void(* | grpc_endpoint_read_cb )(void *user_data, gpr_slice *slices, size_t nslices, grpc_endpoint_cb_status error)
typedef void(* | grpc_endpoint_write_cb )(void *user_data, grpc_endpoint_cb_status error)

## Enumerations
enum | grpc_endpoint_cb_status { GRPC_ENDPOINT_CB_OK = 0, GRPC_ENDPOINT_CB_EOF, GRPC_ENDPOINT_CB_SHUTDOWN, GRPC_ENDPOINT_CB_ERROR }
enum | grpc_endpoint_write_status { GRPC_ENDPOINT_WRITE_DONE, GRPC_ENDPOINT_WRITE_PENDING, GRPC_ENDPOINT_WRITE_ERROR }

## Functions
void | grpc_endpoint_notify_on_read (grpc_endpoint *ep, grpc_endpoint_read_cb cb, void *user_data)
char * | grpc_endpoint_get_peer (grpc_endpoint *ep)
grpc_endpoint_write_status | grpc_endpoint_write (grpc_endpoint *ep, gpr_slice *slices, size_t nslices, grpc_endpoint_write_cb cb, void *user_data)
void | grpc_endpoint_shutdown (grpc_endpoint *ep)
void | grpc_endpoint_destroy (grpc_endpoint *ep)
void | grpc_endpoint_add_to_pollset (grpc_endpoint *ep, grpc_pollset *pollset)
void | grpc_endpoint_add_to_pollset_set (grpc_endpoint *ep, grpc_pollset_set *pollset_set)

## Typedef Documentation

typedef struct grpc_endpoint grpc_endpoint

typedef enum grpc_endpoint_cb_status grpc_endpoint_cb_status

typedef void(* grpc_endpoint_read_cb)(void *user_data, gpr_slice *slices, size_t nslices, grpc_endpoint_cb_status error)

typedef struct grpc_endpoint_vtable grpc_endpoint_vtable

typedef void(* grpc_endpoint_write_cb)(void *user_data, grpc_endpoint_cb_status error)

typedef enum grpc_endpoint_write_status grpc_endpoint_write_status

## Enumeration Type Documentation

enum grpc_endpoint_cb_status

Enumerator
GRPC_ENDPOINT_CB_OK |
GRPC_ENDPOINT_CB_EOF |
GRPC_ENDPOINT_CB_SHUTDOWN |
GRPC_ENDPOINT_CB_ERROR |

enum grpc_endpoint_write_status

Enumerator
GRPC_ENDPOINT_WRITE_DONE |
GRPC_ENDPOINT_WRITE_PENDING |
GRPC_ENDPOINT_WRITE_ERROR |

## Function Documentation

void grpc_endpoint_add_to_pollset | ( | grpc_endpoint * | ep,
|  | grpc_pollset * | pollset
| ) |  |

void grpc_endpoint_add_to_pollset_set | ( | grpc_endpoint * | ep,
|  | grpc_pollset_set * | pollset_set
| ) |  |

void grpc_endpoint_destroy | ( | grpc_endpoint * | ep | ) |

char* grpc_endpoint_get_peer | ( | grpc_endpoint * | ep | ) |

void grpc_endpoint_notify_on_read | ( | grpc_endpoint * | ep,
|  | grpc_endpoint_read_cb | cb,
|  | void * | user_data
| ) |  |

void grpc_endpoint_shutdown | ( | grpc_endpoint * | ep | ) |

grpc_endpoint_write_status grpc_endpoint_write | ( | grpc_endpoint * | ep,
|  | gpr_slice * | slices,
|  | size_t | nslices,
|  | grpc_endpoint_write_cb | cb,
|  | void * | user_data
| ) |  |